Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 813756 - eclipse-jdt: bundled junit library
Summary: eclipse-jdt: bundled junit library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Krzysztof Daniel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DuplicSysLibsTracker
TreeView+ depends on / blocked
 
Reported: 2012-04-18 11:22 UTC by Mikolaj Izdebski
Modified: 2014-01-13 00:27 UTC (History)
8 users (show)

Fixed In Version: eclipse-4.2.0-0.17.I201204171000.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-25 05:04:42 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2012-04-18 11:22:09 UTC
eclipse-jdt is bundling junit library:

$ ls -go ./usr/lib64/eclipse/dropins/jdt/plugins/org.junit_3.8.2.v3_8_2_v20100427-1100.jar
-rw-r--r--. 1 328768 Apr 18 13:11 ./usr/lib64/eclipse/dropins/jdt/plugins/org.junit_3.8.2.v3_8_2_v20100427-1100.jar

Comment 1 Roland Grunberg 2012-04-18 14:29:53 UTC
This is actually the the same junit.jar provided in %{_javadir} with the only difference being that the OSGi metadata is different. I think this could probably be removed. Initially this was to allow tycho to resolve against junit3, if necessary, but looking at the logs I see this isn't necessary any longer.

Comment 2 Krzysztof Daniel 2012-04-18 14:33:52 UTC
I think Eclipse requires it. I will convert it into a symlink.

Comment 3 Krzysztof Daniel 2012-04-19 07:01:40 UTC
As per upstream bug, expected bundles are:
org.junit_3.8.x
org.junit_4.8.x
org.junit4_4.8.x

we have:
-rw-r--r--. 1 root root 328768 org.junit_3.8.2.v3_8_2_v20100427-1100.jar (wrong, should be symlink)
lrwxrwxrwx. 1 root root       26 Apr 12 10:05 junit4.jar -> /usr/share/java/junit4.jar (ok, corresponding to org.junit_4.8.x)

drwxr-xr-x. 2 root root     4096 Apr 12 10:05 org.junit4 (it has a symlink to junit4.jar inside, looks like a duplication, to be removed).
drwxr-xr-x. 3 root root     4096 Apr 12 10:05 org.junit4_4.8.1.v20111115-0800  (ok)
lrwxrwxrwx. 1 root root       25 Apr 12 10:05 org.junit_4.8.2.v4_8_2_v20110321-1705.jar -> /usr/share/java/junit.jar (duplication)

Comment 4 Fedora Update System 2012-04-19 14:02:35 UTC
eclipse-4.2.0-0.15.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.15.I201204171000.fc17

Comment 5 Fedora Update System 2012-04-20 02:25:21 UTC
Package eclipse-4.2.0-0.15.I201204171000.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-4.2.0-0.15.I201204171000.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6220/eclipse-4.2.0-0.15.I201204171000.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-04-20 10:15:10 UTC
eclipse-4.2.0-0.16.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.16.I201204171000.fc17

Comment 7 Roland Grunberg 2012-04-20 17:01:12 UTC
Looking at the fix I see that there are 2 org.junit v4.8.2 jars. One is a symlink to %{_javadir}/junit.jar and the other at %{_libdir}/eclipse/dropins/jdt/plugins/org.junit_4.8.2.v4_8_2_v20110321-1705.jar . Both seem to be identical. Would it be possible to remove one of them ?

I ran a build of tycho against this new eclipse-jdt package and it fails because there are 2 junit jars with the same symbolicname, and version but with different locations on the system. Initially this passed because in previous versions, both were symlinks to the same file.

Comment 8 Krzysztof Daniel 2012-04-23 07:48:52 UTC
e-b removed the Junit source very early (and indeed, after a build, the builddirectory/plugins does not have org.junit_4*.jar, just junit symlink. I guess it is because of the PDEBuild, and the only solution for that is to delete the redundant plugin in Eclipse.spec.

Comment 9 Fedora Update System 2012-04-23 13:34:31 UTC
eclipse-4.2.0-0.17.I201204171000.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-4.2.0-0.17.I201204171000.fc17

Comment 10 Fedora Update System 2012-04-25 05:04:42 UTC
eclipse-4.2.0-0.17.I201204171000.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.